class Patient
  attr_accessor :id, :donor_id, :altruistic

  def initialize(id, donor_id = -1, altruistic = false, backarc = -1)
    @id = id
    @donor_id = donor_id
    @backarc_id_with_next = backarc
    @altruistic = altruistic
  end

  def backarc_with_next?
    @backarc_id_with_next != -1
  end
  
  def backarc_id
	@backarc_id_with_next
  end
end